### Function

# GLib Sequence range_get_midpoint

since: 2.14

#### Declaration [src]

    GSequenceIter*
    g_sequence_range_get_midpoint (
      GSequenceIter* begin,
      GSequenceIter* end
    )

#### Description [src]

Finds an iterator somewhere in the range (`begin`, `end`). This iterator will be close to the middle of the range, but is not guaranteed to be exactly in the middle.

The `begin` and `end` iterators must both point to the same sequence and `begin` must come before or be equal to `end` in the sequence.

Available since: 2.14

#### Parameters

`begin`

  Type: `GSequenceIter`

  A `GSequenceIter`.

  The data is owned by the caller of the function.

`end`

  Type: `GSequenceIter`

  A `GSequenceIter`.

  The data is owned by the caller of the function.

#### Return value

Type: `GSequenceIter`

A `GSequenceIter` pointing somewhere in the (`begin`, `end`) range.

The data is owned by the called function.